karaf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Baptiste Onofré ...@nanthrax.net>
Subject Re: [DISCUSS] Move master to 4.1 and create a 4.x maintenance branch
Date Tue, 24 Nov 2015 16:17:51 GMT
Hi Guillaume,

I agree.

Other changes submitted to the discussion:
- remove Java7 support (JDK 8 min)
- pax-web 6 with Jetty 9.3 (requiring Java8)
- use yajsw instead of tanuki
- refactoring of the guides (I will do it on Karaf 4 as well anyway)
- add karaf-boot there and base dev guide on this
- add bootstrapping feature (related to karaf-boot)

Regards
JB

On 11/24/2015 04:55 PM, Guillaume Nodet wrote:
> I'd like to start the discussion around moving forward to Karaf 4.1.
> I propose we create a 4.x maintenance branch and move master to
> 4.1-SNAPSHOT.
>
> This will allow introducing important dependencies upgrades such as:
>    * pax-web 6.x
>    * sshd 1.0
>    * support for narayana transaction manager
>    * JDK 8
>    * ... name it ...
> The above list is obviously subject to discussion...
>
> Thoughts ?
>

-- 
Jean-Baptiste Onofré
jbonofre@apache.org
http://blog.nanthrax.net
Talend - http://www.talend.com

Mime
View raw message